Bug 1368851 (rubygem-jekyll) - Review Request: rubygem-jekyll - Transform your plain text into static websites and blogs
Summary: Review Request: rubygem-jekyll - Transform your plain text into static websit...
Keywords:
Status: CLOSED ERRATA
Alias: rubygem-jekyll
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1310368 (view as bug list)
Depends On: rubygem-colorator rubygem-jekyll-sass-converter rubygem-jekyll-watch rubygem-mercenary rubygem-pathutil rubygem-rouge
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-21 20:47 UTC by Björn 'besser82' Esser
Modified: 2016-10-18 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-28 17:15:42 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2016-08-21 20:47:21 UTC
Description:

  Jekyll is a simple, blog-aware, static site generator perfect
  for personal, project, or organization sites.  Think of it like
  a file-based CMS, without all the complexity.  Jekyll takes your
  content, renders Markdown and Liquid templates, and spits out a
  complete, static website ready to be served by Apache, Nginx or
  another web server.  Jekyll is the engine behind GitHub Pages,
  which you can use to host sites right from your GitHub repositories.
  Jekyll does what you tell it to do — no more, no less.  It doesn't
  try to outsmart users by making bold assumptions, nor does it
  burden them with needless complexity and configuration.  Put simply,
  Jekyll gets out of your way and allows you to concentrate on what
  truly matters: your content.


Koji Build:

  no build, because of unmet BuildRequires, currently under review


Issues:

  E: version-control-internal-file …/jekyll-3.2.1/lib/site_template/.gitignore
  ---> .gitignore file is used when creating new sites from the template


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/jekyll/rubygem-jekyll.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/jekyll/rubygem-jekyll-3.2.1-0.1.fc26.src.rpm


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2016-08-23 20:39:35 UTC
Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=15353716

Comment 2 gil cattaneo 2016-08-23 20:41:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains Requires: ruby(release).
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt.erb is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 78 files have
     unknown license. Detailed output of licensecheck in /home/gil/1368851
     -rubygem-jekyll/licensecheck.txt

 All source files without license headers:
 Please, report to upstream
 
[!]: License file installed when any subpackage combination is installed.
 
 Please, add also License file in doc sub package

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems/cache,
     /usr/share/gems, /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     jekyll-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem package should exclude cached Gem.
[!]: Test suite of the library should be run.
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache},
     %{gem_libdir}
[x]: Gem should use %gem_install macro.
[x]: gems should not require rubygems package

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-jekyll-3.2.1-0.1.fc26.noarch.rpm
          rubygem-jekyll-doc-3.2.1-0.1.fc26.noarch.rpm
          rubygem-jekyll-3.2.1-0.1.fc26.src.rpm
rubygem-jekyll.noarch: E: version-control-internal-file /usr/share/gems/gems/jekyll-3.2.1/lib/site_template/.gitignore
3 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-jekyll.noarch: E: version-control-internal-file /usr/share/gems/gems/jekyll-3.2.1/lib/site_template/.gitignore
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
rubygem-jekyll-doc (rpmlib, GLIBC filtered):

rubygem-jekyll (rpmlib, GLIBC filtered):
    /usr/bin/ruby
    ruby(rubygems)
    rubygem(colorator)
    rubygem(jekyll-sass-converter)
    rubygem(jekyll-watch)
    rubygem(kramdown)
    rubygem(liquid)
    rubygem(mercenary)
    rubygem(pathutil)
    rubygem(rouge)
    rubygem(safe_yaml)



Provides
--------
rubygem-jekyll-doc:
    rubygem-jekyll-doc

rubygem-jekyll:
    jekyll
    rubygem(jekyll)
    rubygem-jekyll



Source checksums
----------------
https://rubygems.org/downloads/jekyll-3.2.1.gem :
  CHECKSUM(SHA256) this package     : e1b062eaa0028e9c2de174a6d90a6bc8e6adeeb6493b84df77c6df2d7c5871a6
  CHECKSUM(SHA256) upstream package : e1b062eaa0028e9c2de174a6d90a6bc8e6adeeb6493b84df77c6df2d7c5871a6


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1368851 --plugins Ruby -m fedora-rawhide-i386 -L ~/deps
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    ~/deps/rubygem-forwardable-extended-2.6.0-0.1.fc26.noarch.rpm
    ~/deps/rubygem-pathutil-0.14.0-0.1.fc26.noarch.rpm
    ~/deps/rubygem-jekyll-sass-converter-1.4.0-0.1.fc26.noarch.rpm
    ~/deps/rubygem-jekyll-watch-1.5.0-2.fc26.noarch.rpm
    ~/deps/rubygem-rouge-1.11.1-0.1.fc26.noarch.rpm
    ~/deps/rubygem-mercenary-0.3.6-0.1.fc26.noarch.rpm
    ~/deps/rubygem-colorator-1.1.0-0.1.fc26.noarch.rpm

Comment 3 gil cattaneo 2016-08-23 20:44:18 UTC
Issues:
- Package contains Requires: ruby(release).

[!]: Gem package should exclude cached Gem.
[!]: Test suite of the library should be run.
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache},
     %{gem_libdir}

NON blocking issues:

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 78 files have
     unknown license. Detailed output of licensecheck in /home/gil/1368851
     -rubygem-jekyll/licensecheck.txt

 All source files without license headers:
 Please, report to upstream
 
[!]: License file installed when any subpackage combination is installed.
 
 Please, add also License file in doc sub package

PLease, fix before import
Approved

Comment 4 Gwyn Ciesla 2016-08-23 21:26:12 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-jekyll

Comment 5 Fedora Update System 2016-08-24 07:54:32 UTC
rubygem-colorator-1.1.0-1.fc25 rubygem-forwardable-extended-2.6.0-1.fc25 rubygem-jekyll-3.2.1-1.fc25 rubygem-jekyll-sass-converter-1.4.0-1.fc25 rubygem-jekyll-watch-1.5.0-2.fc25 rubygem-mercenary-0.3.6-1.fc25 rubygem-pathutil-0.14.0-1.fc25 rubygem-rouge-1.11.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 6 Fedora Update System 2016-08-24 07:54:40 UTC
rubygem-colorator-1.1.0-1.fc25 rubygem-forwardable-extended-2.6.0-1.fc25 rubygem-jekyll-3.2.1-1.fc25 rubygem-jekyll-sass-converter-1.4.0-1.fc25 rubygem-jekyll-watch-1.5.0-2.fc25 rubygem-mercenary-0.3.6-1.fc25 rubygem-pathutil-0.14.0-1.fc25 rubygem-rouge-1.11.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 7 Fedora Update System 2016-08-24 07:54:52 UTC
rubygem-colorator-1.1.0-1.fc24 rubygem-forwardable-extended-2.6.0-1.fc24 rubygem-jekyll-3.2.1-1.fc24 rubygem-jekyll-sass-converter-1.4.0-1.fc24 rubygem-jekyll-watch-1.5.0-1.fc24 rubygem-mercenary-0.3.6-1.fc24 rubygem-pathutil-0.14.0-1.fc24 rubygem-rouge-1.11.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-251f7325a0

Comment 8 Fedora Update System 2016-08-24 17:25:07 UTC
rubygem-colorator-1.1.0-1.fc24, rubygem-forwardable-extended-2.6.0-1.fc24, rubygem-jekyll-3.2.1-1.fc24, rubygem-jekyll-sass-converter-1.4.0-1.fc24, rubygem-jekyll-watch-1.5.0-1.fc24, rubygem-mercenary-0.3.6-1.fc24, rubygem-pathutil-0.14.0-1.fc24, rubygem-rouge-1.11.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-251f7325a0

Comment 9 Fedora Update System 2016-08-25 09:29:36 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-3.2.1-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c56ba33e

Comment 10 Fedora Update System 2016-08-28 17:15:12 UTC
rubygem-colorator-1.1.0-1.fc25, rubygem-forwardable-extended-2.6.0-1.fc25, rubygem-jekyll-3.2.1-1.fc25, rubygem-jekyll-sass-converter-1.4.0-1.fc25, rubygem-jekyll-watch-1.5.0-2.fc25, rubygem-mercenary-0.3.6-1.fc25, rubygem-pathutil-0.14.0-1.fc25, rubygem-rouge-1.11.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-09-28 01:56:59 UTC
rubygem-colorator-1.1.0-1.fc24, rubygem-forwardable-extended-2.6.0-1.fc24, rubygem-jekyll-3.2.1-1.fc24, rubygem-jekyll-sass-converter-1.4.0-1.fc24, rubygem-jekyll-watch-1.5.0-1.fc24, rubygem-mercenary-0.3.6-1.fc24, rubygem-pathutil-0.14.0-1.fc24, rubygem-rouge-1.11.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Vít Ondruch 2016-10-18 15:37:28 UTC
*** Bug 1310368 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.